Remove Permissions
curl --request POST \
--url https://api.velt.dev/v2/auth/permissions/remove \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"userId": "<string>",
"permissions": {
"resources": [
{
"type": "<string>",
"id": "<string>",
"organizationId": "<string>"
}
]
}
}
}
'import requests
url = "https://api.velt.dev/v2/auth/permissions/remove"
payload = { "data": {
"userId": "<string>",
"permissions": { "resources": [
{
"type": "<string>",
"id": "<string>",
"organizationId": "<string>"
}
] }
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
userId: '<string>',
permissions: {resources: [{type: '<string>', id: '<string>', organizationId: '<string>'}]}
}
})
};
fetch('https://api.velt.dev/v2/auth/permissions/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Permissions removed successfully."
}
}
Access Control
Remove Permissions
POST
/
v2
/
auth
/
permissions
/
remove
Remove Permissions
Use this API to remove permissions from a user for specific resources like organizations or documents.
This endpoint allows you to revoke access for a user from one or more resources.
Endpoint
POST https://api.velt.dev/v2/auth/permissions/remove
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
The ID of the user from whom to remove permissions.
object
required
Show properties
Show properties
Example Requests
Remove permissions from an organization and a document
{
"data": {
"userId": "USER_ID",
"permissions": {
"resources": [
{
"type": "organization",
"id": "ORGANIZATION_ID"
},
{
"type": "document",
"id": "DOCUMENT_ID",
"organizationId": "ORGANIZATION_ID"
}
]
}
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Permissions removed successfully."
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Permissions removed successfully."
}
}
Was this page helpful?
⌘I

